# telegram.InlineQueryResultGame

class telegram.InlineQueryResultGame(id, game_short_name, reply_markup=None, **_kwargs)

  Bases: `telegram.inline.inlinequeryresult.InlineQueryResult`

  Represents a `telegram.Game`.

  Parameters

    - id (`str`) – Unique identifier for this result, 1-64 bytes.

    - game_short_name (`str`) – Short name of the game.

    - reply_markup (`telegram.InlineKeyboardMarkup`, optional) – Inline keyboard attached to the message.

    - **kwargs (`dict`) – Arbitrary keyword arguments.

  type

    ‘game’.

    Type

      `str`

  id

    Unique identifier for this result, 1-64 bytes.

    Type

      `str`

  game_short_name

    Short name of the game.

    Type

      `str`

  reply_markup

    Optional. Inline keyboard attached to the message.

    Type

      `telegram.InlineKeyboardMarkup`